/*
 * Copyright (c) 2011, Patrik Dufresne. All rights reserved.
 * Patrik Dufresne PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.planimod.ui.views.admin;

import com.patrikdufresne.ui.PageBookViewPart;
import com.patrikdufresne.util.Localized;
import com.planimod.ui.views.admin.position.PositionPageViewPart;
import com.planimod.ui.views.admin.product.ProductPageViewPart;
import com.planimod.ui.views.admin.section.SectionPageViewPart;
import com.planimod.ui.views.admin.team.TeamPageViewPart;

/**
 * This view part is used to administer the advance parameter of the
 * application.
 * 
 * @author Patrik Dufresne
 * 
 */
public class AdminViewPart extends PageBookViewPart {

	/**
	 * The part id.
	 */
	public static final String ID = "com.planimod.ui.views.admin.AdminViewPart"; //$NON-NLS-1$

	/**
	 * Create a new view part.
	 */
	public AdminViewPart() {
		super(ID);
		setTitle(Localized.get(AdminViewPart.class, "AdminViewPart.title")); //$NON-NLS-1$
	}

	/**
	 * This implementation ass the views to this book.
	 */
	@Override
	protected void addViews() {
		addView(new AdminPageViewPart());
		addView(new SectionPageViewPart());
		addView(new PositionPageViewPart());
		addView(new ProductPageViewPart());
		addView(new TeamPageViewPart());
	}

}
